slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVGetOptionsPrefix

Gets the prefix used for searching for all BV options in the database.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVGetOptionsPrefix(BV bv,const char *prefix[])

Not Collective

### Input Parameters

| bv | - the basis vectors context

### Output Parameters

| prefix | - pointer to the prefix string used, is returned

### Note

On the Fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### See Also

BVSetOptionsPrefix(), BVAppendOptionsPrefix()

### Level

advanced

### Location

src/sys/classes/bv/interface/bvfunc.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages